## oprofile 1.1.0

=== doc/srcdoc/Makefile ===
DOXYGEN=doxygen

.PHONY: clean

all: clean
	doxygen Doxyfile

clean:
	rm -rf html/

## oprofile 0.9.3-1~bpo40+1

=== debian/changelog ===
oprofile (0.9.3-1~bpo40+1) etch-backports; urgency=low

  * etch backport: revert armel arch and versioned binutils-dev build-dep.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 29 Oct 2007 19:59:35 -0400

oprofile (0.9.3-1) unstable; urgency=low

  * Update to latest upstream.
  * Convert packaging so that it now uses quilt
  * Remove invocation of autogen.sh -- no longer necessary to do this
  * Closes: bug#417472 -- should no longer FTBS with g++ 4.3
  * Closes: bug#424478 -- acknowledge NMU
  * Closes: bug#434003 -- new upstream, armel support
  * Closes: bug#436697 -- simplified packaging as suggested

 -- Al Stone <ahs3@debian.org>  Sun, 09 Sep 2007 18:40:25 -0600

oprofile (0.9.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Closes: bug#424478 -- Force rebuild with newer binutils, to let orprofile
    understand binaries with --hash-style=gnu.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 31 Aug 2007 18:18:56 +0200

oprofile (0.9.2-4) unstable; urgency=low

  * Closes: bug#411286 -- does not work on AMD64, 2.6.19.2 kernel (used
    the patch from bug report).  From Philippe Coval <rzr@users.sf.net>.
  * Closes: bug#410827 -- clean out some bashisms (used the patch from the
    bug report).  This applies the patches from 
    http://lkml.org/lkml/2006/11/22/170 and 
    http://lkml.org/lkml/2006/11/22/172 to make oprofile work on newer
    kernels.  From Jochen Voss <voss@debian.org>.
  
 -- Al Stone <ahs3@debian.org>  Fri, 16 Mar 2007 11:04:46 -0600

oprofile (0.9.2-3) unstable; urgency=low

  * Closes: bug#396749 -- FTBFS: no suitably configured kernel include tree
    found; ./configure needs --with-kernel-support, and not --without.
  * Closes: bug#398506 -- Shouldn't build depend on an unversioned automake;
    corrected dependency.

 -- Al Stone <ahs3@debian.org>  Sat, 18 Nov 2006 20:06:11 -0700

oprofile (0.9.2-2) unstable; urgency=low

  * Deprecating use of oprofile-source; this is only needed for 2.4
    kernels, and is no longer actively maintained.  The functionality
    provided is now included in Linux 2.6 kernels by default.
  * Closes: bug#394017 -- oprofile-source: Obsolete - please remove 
  * Closes: bug#392836 -- oprofile-source: fails to build
  * Closes: bug#395014 -- [PATCH] Make opcontrol work with bash (used
    the patch directly)

 -- Al Stone <ahs3@debian.org>  Sat, 28 Oct 2006 11:41:45 -0600

oprofile (0.9.2-1) unstable; urgency=low

  * Updated to latest upstream source. 
  * Closes: bug#387948 -- OProfile 0.9.2 has been released (request to
    update to latest source)
  * Closes: bug#380462 -- Support for core CPUs (added in this release)
  * Closes: bug#378285 -- missing Depends:binutils in debian/control
  * Since the prospect package no longer exists, remove all references
    to it.

 -- Al Stone <ahs3@debian.org>  Thu, 21 Sep 2006 21:38:42 -0600

oprofile (0.9.1-11) unstable; urgency=low

  * Closes: bug#376879 -- remove 'Recommends' for unavailable package
    oprofile-modules0.9
  * Update Debian Standards-Version.

 -- Al Stone <ahs3@debian.org>  Wed,  5 Jul 2006 18:04:01 -0600

oprofile (0.9.1-10) unstable; urgency=low

  * Closes: bug#357324 -- FTBFS with G++ 4.1: method definition was not in 
    proper enclosing namespace (NB: already fixed in upstream CVS HEAD)

 -- Al Stone <ahs3@debian.org>  Sun,  2 Apr 2006 20:24:49 -0600

oprofile (0.9.1-9) unstable; urgency=low

  * Closes: bug#352910 -- CVE-2006-0576: Untrusted search path vulnerability
    in opcontrol (re-used patch from CVS HEAD)

 -- Al Stone <ahs3@debian.org>  Fri, 17 Feb 2006 11:22:41 -0700

oprofile (0.9.1-8) unstable; urgency=low

  * Closes: bug#344665: minot typo in --start portion of opcontrol man
    page (#344667 is a duplicate of this bug and was merged with this one).

 -- Al Stone <ahs3@debian.org>  Thu, 29 Dec 2005 17:31:03 -0700

oprofile (0.9.1-7) unstable; urgency=low

  * Convert oprofile-source so it uses automake1.9 (instead of 1.7) 

 -- Al Stone <ahs3@debian.org>  Sun, 27 Nov 2005 17:30:36 -0700

oprofile (0.9.1-6) unstable; urgency=low

  * Closes: bug#340381: Cosmetic fix for oprofile.1 manpage 
  * Convert to newer automake (1.9)

 -- Al Stone <ahs3@debian.org>  Sun, 27 Nov 2005 14:59:50 -0700

oprofile (0.9.1-5) unstable; urgency=low

  * Closes: bug#332057: oprofile depends on debconf without | debconf-2.0
    alternate; blocks cdebconf transition 

 -- Al Stone <ahs3@debian.org>  Sat,  8 Oct 2005 12:48:50 -0600

oprofile (0.9.1-4) unstable; urgency=low

  * Closes: bug#328069 -- oprofile-common: Conflicts with old oprofile;
    added proper Replaces and Conflicts

 -- Al Stone <ahs3@debian.org>  Fri, 16 Sep 2005 19:31:04 -0600

oprofile (0.9.1-3) unstable; urgency=low

  * Update to latest standards version.
  * Update to latest libqt3-mt-dev.
  * The bug #300683 is closed by the existence of the 'oprofile-source'
    package.  If a 2.[24].x kernel is used, it will be necessary to build
    your own kernel module; 'oprofile-source' provides the module source.
    For 2.6.x kernels, the module is built by default and included in the
    standard Debian kernel images.  Hence, the goofy pbuilder change listed
    in the previous entry has been removed and the bug closed via another
    mechanism -- you need to build your own oprofile kernel modules.

 -- Al Stone <ahs3@debian.org>  Sat, 10 Sep 2005 13:59:27 -0600

oprofile (0.9.1-2) unstable; urgency=low

  * The 'oprofile-modules' package needed to have a proper Provides: for
    oprofile-modules0.9, not 0.8
  * Closes: bug#300683: package fails to build from source in a
    sane way; required adding all of the build process in
    debian/build-modules.sh.  As of this writing, this package
    can only be built with pbuilder (if dpkg-buildpackage is used,
    cdebootstrap fails for an as yet unknown reason).

 -- Al Stone <ahs3@debian.org>  Mon,  5 Sep 2005 15:19:43 -0600

oprofile (0.9.1-1) unstable; urgency=low

  * Update to latest upstream.


=== debian/control ===
Source: oprofile
Section: devel
Priority: optional
Maintainer: Al Stone <ahs3@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev, qt3-dev-tools, g++ (>>3.3.1), quilt

Package: oprofile
Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips
Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
Depends: debconf | debconf-2.0, ${shlibs:Depends}
Replaces: oprofile-common
Suggests: oprofile-gui
Description: system-wide profiler for Linux systems
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.  Using OProfile also requires
 a kernel module, either contained in a separate package called
 'oprofile-modules' for 2.2 and 2.4 kernels, or for 2.6 kernels,
 the OProfile kernel module is part of the Linux kernel source and
 must be built from the 'kernel-source' package.
 .
 OProfile leverages the hardware performance counters of the x86 CPU and
 the PMU (Performance Monitoring Unit) of the ia64 CPU to enable profiling
 of a wide variety of interesting statistics, which can also be used for 
 basic time-spent profiling.  All code is profiled: hardware and software
 interrupt handlers, kernel modules, the kernel, shared libraries, and 
 applications (the only exception being the OProfile interrupt handler
 itself).  Note that different architectures can use different hardware 
 mechanisms to collect data.
 .
 OProfile is currently in alpha status; however it has proven stable over
 a large number of differing configurations. As always, there is no warranty.

Package: oprofile-gui
Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips
Replaces: oprofile
Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
Description: system-wide profiler for Linux systems (GUI components)
 This package contains only the GUI components of the oprofile package.
 This allows oprofile to be used on machines that require a much
 smaller footprint, or that do not wish to use an X Windows interface.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
BUILDDIR=$(CURDIR)/oprofile-0.9.3

unpack: unpack-stamp
unpack-stamp:
	tar xvzf $(CURDIR)/oprofile-0.9.3.tar.gz
	touch unpack-stamp

patch: patch-stamp
patch-stamp: unpack-stamp
	[ -L $(BUILDDIR)/patches ] || ln -s ../debian/patches $(BUILDDIR)/patches
	cd $(BUILDDIR) && \
	if quilt next; then \
	  echo -n "Applying patches... "; \
	      if quilt push -a -v > patch-log; then  \
	    echo "successful."; \
	  else \
            quilt next; \
            echo "failed: "; \
            echo ; \
	    cat patch-log ; \
            echo ; \
            exit 1; \
          fi; \
        else \
	  echo "No patches to apply"; \
        fi; \
	>$@

configure: config-stamp patch
config-stamp:
#	cd $(BUILDDIR) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
	cd $(BUILDDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt3 --with-kernel-support 
	touch config-stamp

build-arch: unpack-stamp patch-stamp configure build-arch-stamp
build-arch-stamp: 
	# Add here commands to build the package
	cd $(BUILDDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -rf oprofile-0.9.3
	rm -f unpack-stamp patch-stamp config-stamp build-arch-stamp 
	rm -f build-indep-stamp patch-log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/oprofile.
	cd $(BUILDDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE) install 

	# Move some files to their proper location
	mv debian/oprofile/usr/bin/oprof_start \
	   debian/oprofile-gui/usr/bin
	cp debian/oprofile/usr/share/man/man1/oprofile.1 \
	   debian/oprofile-gui/usr/share/man/man1/oprof_start.1
	
	# Copy the driver source HOWTOs to the proper locations
	cp debian/oprofile-source.HOWTO-ia64 \
		debian/oprofile/usr/share/doc/oprofile/HOWTO-ia64
	cp debian/oprofile-source.HOWTO-i386 \
		debian/oprofile/usr/share/doc/oprofile/HOWTO-i386

	#-- clean up some of the mess from
	# an over-exuberant install command
	rm -f debian/oprofile/usr/share/mangled-name
	dh_link usr/share/man/man1/oprofile.1 usr/share/man/man8/oprofiled.8

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_installdocs
	dh_installexamples 
	dh_installman 
	dh_installchangelogs $(BUILDDIR)/ChangeLog $(BUILDDIR)/ChangeLog-2006
	dh_strip 
	dh_link 
	dh_compress 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_shlibdeps 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpack

## oprofile 0.9.3-1ubuntu1

=== debian/changelog ===
oprofile (0.9.3-1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Configuration file in /etc.
  * On powerpc configure --with-target=cell-be.
  * Import patches from the oprofile-0.9.3-4bsc rpm:
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Sep 2007 11:59:41 +0200

oprofile (0.9.2-4ubuntu1) gutsy; urgency=low

  * Move configuration file to /etc/oprofile, update documentation, and
    handle the migration in postinst and migrate any existing config on
    upgrades (LP: #125649).
  * DebianMaintainerField.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 14 Jul 2007 10:24:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: oprofile
 Section: devel
 Priority: optional
-Maintainer: Al Stone <ahs3@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev, qt3-dev-tools, g++ (>>3.3.1), quilt
+Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt, ppu-binutils [powerpc], automake1.9, autoconf
 
 Package: oprofile
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
 Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
 Depends: debconf | debconf-2.0, ${shlibs:Depends}
 Replaces: oprofile-common
@@ -34,7 +35,7 @@
  a large number of differing configurations. As always, there is no warranty.
 
 Package: oprofile-gui
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
 Replaces: oprofile
 Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
 Description: system-wide profiler for Linux systems (GUI components)

## oprofile 0.9.3-1.1ubuntu2

=== debian/changelog ===
oprofile (0.9.3-1.1ubuntu2) hardy; urgency=low

  * Add LPIA architecture (LP: #182032)

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 24 Jan 2008 15:05:18 -0500

oprofile (0.9.3-1.1ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #179335), remaining changes:
    - Configuration file in /etc.
    - On powerpc configure --with-target=cell-be.
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.
  * debian/patches/opcontrol_bashisms:
    - fix bashisms in opcontrol script (LP: #172495)  

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 22 Dec 2007 09:53:22 +0000

oprofile (0.9.3-1.1) unstable; urgency=low

  * NMU
  * link libbfd static (closes: #446360)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 14 Dec 2007 01:26:31 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt, ppu-binutils [powerpc], automake1.9, autoconf
 
 Package: oprofile
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
 Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
 Depends: debconf | debconf-2.0, ${shlibs:Depends}
 Replaces: oprofile-common
@@ -35,7 +35,7 @@
  a large number of differing configurations. As always, there is no warranty.
 
 Package: oprofile-gui
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
 Replaces: oprofile
 Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
 Description: system-wide profiler for Linux systems (GUI components)

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,13 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 BUILDDIR=$(CURDIR)/oprofile-0.9.3
+
+ifneq (,$(filter $(DEB_BUILD_ARCH), powerpc ppc64))
+  on_powerpc = yes
+endif
 
 unpack: unpack-stamp
 unpack-stamp:
@@ -37,8 +42,8 @@
 
 configure: config-stamp patch
 config-stamp:
-#	cd $(BUILDDIR) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
-	cd $(BUILDDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt3 --with-kernel-support 
+	cd $(BUILDDIR) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
+	cd $(BUILDDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt3 --with-kernel-support  $(if $(on_powerpc),--with-target=cell-be)
 	touch config-stamp
 
 build-arch: unpack-stamp patch-stamp configure build-arch-stamp

## oprofile 0.9.3-1.1ubuntu2netbook1

=== debian/changelog ===
oprofile (0.9.3-1.1ubuntu2netbook1) netbook-common; urgency=low

  * Rebuild for LPIA
  * Remove .hg, .hgtags from source tarball

 -- Steve Magoun <steve.magoun@canonical.com>  Mon, 23 Feb 2009 15:34:17 -0500

## oprofile 0.9.3-2ubuntu2

=== debian/changelog ===
oprofile (0.9.3-2ubuntu2) jaunty; urgency=low

  * Rebuild with binutils-2.19.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2009 10:45:27 +0000

oprofile (0.9.3-2ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #305919), remaining changes:
    - Configuration file in /etc.
    - On powerpc configure --with-target=cell-be.
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.
  * Ubuntu changes dropped:
    - fix bashisms in opcontrol script, added in Debian
  * Re-add the Build-Depends that the Debian maintainer removed, they were 
    needed.
  * Added a patch to call open with three arguments to fix FTBFS.
  * Added a patch to link bfd dynamically.

 -- David Mandala <davidm@canonical.com>  Sat, 06 Dec 2008 22:50:11 -0800

oprofile (0.9.3-2) unstable; urgency=low

  * Closes: bug#415827 -- manpage corrected upstream so that all options are
    now unique
  * Update to latest Debian standards version.
  * Closes: bug#420815 -- find separate debug files in archive properly (patch
    applied)
  * Closes: bug#450607 -- oprof_start no longer links against libbfd.so (used
    patch from submitter)
  * Closes: bug#446360 -- similar problem with libbfd; the patch for 450607
    was more inclusive, though, so it also fixes this problem; thanks for the
    NMU, nonetheless.
  * Closes: bug#447797 -- remove bashisms from opcontrol (used patch from
    ubuntu)
  * Closes: bug#420760 -- cannot reproduce this problem in 0.9.3 (was reported
    with 0.9.2)
  * Closes: bug#422178 -- cannot reproduce this problem in 0.9.3 (was reported
    with 0.9.2)
  * Closes: bug#428299 -- latest Linux kernel (2.6.23-1 on dual core Intel) no
    longer shows this problem.
  * Closes: bug#424760 -- invalid arithmetic expression in opcontrol script
    replaced in newer versions
  * Closes: bug#456069 -- patched C++ files to accommodate changes in the
    header files for g++ 4.3

 -- Al Stone <ahs3@debian.org>  Sun, 10 Feb 2008 11:51:49 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt, ppu-binutils [powerpc], automake1.9, autoconf
 
 Package: oprofile

## oprofile 0.9.3-2+lenny2

=== debian/changelog ===
oprofile (0.9.3-2+lenny2) oldstable-security; urgency=low

  * Non-maintainer upload by the Security Team.
  * Jamie Strandboge noticed an uncomplete fix for CVE-2011-1760 Closes: #624212

 -- Luciano Bello <luciano@debian.org>  Fri, 08 Jul 2011 21:11:54 -0300

oprofile (0.9.3-2+lenny1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches by William Cohen to fix argument sanitation, CVE-2011-1760.
    This fixes the arbitrary command execution via opcontrol. (Closes: #624212)

 -- Luciano Bello <luciano@debian.org>  Sat, 21 May 2011 11:59:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: oprofile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
+Maintainer: Al Stone <ahs3@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt, ppu-binutils [powerpc], automake1.9, autoconf
+Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt
 
 Package: oprofile
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
 Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
 Depends: debconf | debconf-2.0, ${shlibs:Depends}
 Replaces: oprofile-common
@@ -35,7 +34,7 @@
  a large number of differing configurations. As always, there is no warranty.
 
 Package: oprofile-gui
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
 Replaces: oprofile
 Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
 Description: system-wide profiler for Linux systems (GUI components)

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,9 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 BUILDDIR=$(CURDIR)/oprofile-0.9.3
-
-ifneq (,$(filter $(DEB_BUILD_ARCH), powerpc ppc64))
-  on_powerpc = yes
-endif
+QUILT_PATCHES=patches
 
 unpack: unpack-stamp
 unpack-stamp:
@@ -42,8 +38,8 @@
 
 configure: config-stamp patch
 config-stamp:
-	cd $(BUILDDIR) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
-	cd $(BUILDDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt3 --with-kernel-support  $(if $(on_powerpc),--with-target=cell-be)
+#	cd $(BUILDDIR) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
+	cd $(BUILDDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt3 --with-kernel-support 
 	touch config-stamp
 
 build-arch: unpack-stamp patch-stamp configure build-arch-stamp

## oprofile 0.9.3.1-osso1

=== debian/changelog ===
oprofile (0.9.3.1-osso1) unstable; urgency=low

  * Updating to upstream version 0.9.3
  * No longer apply oparchive-debug-dir patch, as 0.9.3
    includes the equivalent changes
  * Old armv11 patch was replaced by a smaller armv6-eventcounter-
    fix patch (upstream now has armv6 support; this patch just corrects
    a small bug in it)
  * Fixes: NB#65387

 -- Riku Voipio <riku@debian.org>  Wed,  3 Oct 2007 10:27:34 +0300

oprofile (0.9.2.99.1-osso5) unstable; urgency=low

  * Patched opcontrol to not use -s switch with kill, as Busybox version
    of kill does not support that
  * Fixes: NB#71145

 -- Riku Voipio <riku@debian.org>  Wed, 26 Sep 2007 17:03:32 +0300

oprofile (0.9.2.99.1-osso4) unstable; urgency=low

  * Opimport tool was not included in packaging, preventing oprofile-ui
    from working when server and the viewer were running on different
    architectures

 -- Riku Voipio <riku@debian.org>  Tue, 10 Jul 2007 16:41:14 +0300

oprofile (0.9.2.99.1-osso3) unstable; urgency=low

  * No actual functional changes; just providing a more proper changelog
    entry for a previous bugfix to make changelog parser to notice it
  * Fixes: NB#56788

 -- Riku Voipio <riku@debian.org>  Thu, 31 May 2007 10:45:57 +0300

oprofile (0.9.2.99.1-osso2) unstable; urgency=low

  * fix build dependecies (argh)

 -- Riku Voipio <riku@debian.org>  Thu, 24 May 2007 11:12:28 +0300

oprofile (0.9.2.99.1-osso1) unstable; urgency=low

  * Chinook release
  * cvs update, deleted patches: xml_callgraph.patch
  * oprofile_eabi.patch oparchive-list-files.patch
  * arm11.patch refreshed
  * Closes: NB#56788
  * 

 -- Riku Voipio <riku@debian.org>  Wed, 23 May 2007 14:24:30 +0300

oprofile (0.9.2.99-osso1) unstable; urgency=low

  * Repackage using quilt
  * Latest cvs snapshot
  * applied a range of patches for maemo
  * Fixes: NB#55709

 -- Riku Voipio <riku@debian.org>  Fri,  4 May 2007 16:55:47 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Al Stone <ahs3@debian.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>> 4.0.0), libpopt-dev, binutils-dev, automake1.9, quilt
 
 Package: oprofile
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips armel
 Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
-Depends: debconf | debconf-2.0, ${shlibs:Depends}
-Replaces: oprofile-common
-Suggests: oprofile-gui
+Depends: oprofile-common, ${shlibs:Depends}
 Description: system-wide profiler for Linux systems
  OProfile is a performance profiling tool for Linux systems, capable
  of profiling all running code at low overhead.  It consists of a
@@ -33,12 +31,19 @@
  OProfile is currently in alpha status; however it has proven stable over
  a large number of differing configurations. As always, there is no warranty.
 
-Package: oprofile-gui
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Package: oprofile-common
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips armel
 Replaces: oprofile
-Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
-Description: system-wide profiler for Linux systems (GUI components)
- This package contains only the GUI components of the oprofile package.
- This allows oprofile to be used on machines that require a much
- smaller footprint, or that do not wish to use an X Windows interface.
+Depends: ${shlibs:Depends}
+Description: system-wide profiler for Linux systems (command line components)
+ This package contains only the command line components of the
+ oprofile package.  This allows oprofile to be used on machines that
+ require a much smaller footprint, or that do not wish to use an X
+ Windows interface.
 
+Package: oprofile-common-dbg
+Architecture: any
+Depends: oprofile-common (= ${Source-Version})
+Description: Debug symbols for the oprofile-common binaries
+ If you want Debug.
+

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
builddir=$(CURDIR)/oprofile-0.9.3

unpack: unpack-stamp
unpack-stamp:
	tar xvzf $(CURDIR)/oprofile-0.9.3.tar.gz
	touch unpack-stamp

patch: patch-stamp
patch-stamp: unpack-stamp
	ln -sf ../debian/patches $(builddir)/patches
	cd $(builddir) && \
	if quilt next; then \
	  echo -n "Applying patches... "; \
	      if quilt push -a -v > patch-log; then  \
	    echo "successful."; \
	  else \
            quilt next; \
            echo "failed: "; \
            echo ; \
	    cat patch-log ; \
            echo ; \
            exit 1; \
          fi; \
        else \
	  echo "No patches to apply"; \
        fi; \
	>$@

configure: config-stamp patch
config-stamp:
	cd $(builddir) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
	cd $(builddir) && CXXFLAGS="-O0 -g" CFLAGS="-O0 -g" LDFLAGS="-L/usr/lib -L/lib" ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-kernel-support 
	touch config-stamp

build-arch: unpack-stamp patch-stamp configure build-arch-stamp 
build-arch-stamp: 
	# Add here commands to build the package
	cd $(builddir) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -rf oprofile-0.9.3
	rm -f unpack-stamp patch-stamp config-stamp build-arch-stamp 
	rm -f build-indep-stamp patch-log debian/patches/patches
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/oprofile.
	cd $(builddir) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE) install 

	#-- clean up some of the mess from
	# an over-exuberant install command
	rm -f debian/oprofile/usr/share/mangled-name
	dh_link usr/share/man/man1/oprofile.1 usr/share/man/man8/oprofiled.8

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_installdocs 
	dh_installexamples 
	dh_installmenu 
	dh_installman 
	dh_installchangelogs $(builddir)/ChangeLog $(builddir)/ChangeLog-2006
	dh_install --sourcedir=debian/oprofile 
	#-- now that everything has been installed, clean up the
	#   original debian/oprofile directory
	rm -rf debian/oprofile/usr/bin
	rm -rf debian/oprofile/usr/share/man
	rm -rf debian/oprofile/usr/share/oprofile
	dh_strip --dbg-package=oprofile-common
	dh_link 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_shlibdeps 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpack

## oprofile 0.9.8

=== debian/changelog ===
oprofile (0.9.8-0ubuntu3) saucy; urgency=low

  * Add Aarch64 support, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2013 13:35:54 +0200

oprofile (0.9.8-0ubuntu2) raring; urgency=low

  [ Antonio Rosales ]
  * Fix Haswell client support (LP: #1161279).
    - d/p/add_haswell_client_support.patch: Cherry picked fix from upstream VCS
      to add support for Haswell client event lists and model numbers.

  [ James Page ]
  * Fix FTBFS on powerpc architecture:
    - d/p/fix-ppc32.patch: Cherry picked fix from upstream VCS to ensure that
      libpfm is only used on ppc64 architectures. 

 -- Antonio Rosales <antonio.rosales@canonical.com>  Thu, 28 Mar 2013 02:27:04 -0500

oprofile (0.9.8-0ubuntu1) quantal; urgency=low

  [ Antonio Rosales ]
  * New upstream release (LP: #1039871).
    - Refreshed patches.
    - d/patches/arm-*: Dropped arm patches - included upstream.
    - d/patches/0005-add-back-error_if_not_basename.patch: Dropped 
      as fixed upstream.
    - d/patches/{000*,nomutable}.patch: Dropped all other upstream
      sourced patches as all are included in this release.
  * Switch to dpkg-source 3.0 (quilt) format:
    - d/control: Drop explicit BD on quilt
    - d/rules: Remove quilt rules and unpatch usage.
  * Add Changlog to specifically indicate upstream is now using 'git log'
    as dh was looking for a 'Changelog' file.

  [ James Page ]
  * Transition package to use qt4:
    - d/control: Switch qt3 BD's to qt4 equivalents.
    - d/control: Added new BD's on pkg-config and libx11-dev.
  * d/rules: Clear dependency_libs field in .la files.

 -- Antonio Rosales <antonio.rosales@canonical.com>  Thu, 04 Oct 2012 11:51:02 +0100

oprofile (0.9.6-1.3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Split out libopagent1 runtime library.
    - debian/oprofile.postinst: Really really make it work this time by
      adding the oprofile:oprofile system user and group as required for
      JIT support (see README_PACKAGERS)
    - Add documentation about vmlinux / linux-image-debug.ddeb.
    - debian/patches/arm-factor-out-armv7-common-architectural-events,
      debian/patches/arm-correct-usage-of-core-technology-for-v7-and-mpcore,
      debian/patches/arm-add-support-for-cortex-a9-events:
      ARMv7 cleanup and Cortex-A9 support, backported from
      http://article.gmane.org/gmane.linux.oprofile/8563.
    - Statically link libbfd.  (LP #588033)
  * SECURITY UPDATE: arbitrary file overwrite
    - 0005-add-back-error_if_not_basename.patch: readd error_if_not_basename()
      which was removed in 0003-Avoid-blindly-source-SETUP_FILE-with.patch

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 07 Jul 2011 11:28:06 -0500

oprofile (0.9.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622494).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 18:50:15 +0200

oprofile (0.9.6-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch by William Cohen to not use mutable for reference variable 
    (Closes: #625060)
  * Add patches by William Cohen to fix argument sanitation, CVE-2011-1760.
    This fixes the arbitrary command execution via opcontrol. (Closes: #624212)

 -- Luciano Bello <luciano@debian.org>  Fri, 20 May 2011 01:38:53 -0300

oprofile (0.9.6-1.1ubuntu2) natty; urgency=low

  * Build on ppc64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Feb 2011 19:54:14 +0000

oprofile (0.9.6-1.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Split out libopagent1 runtime library.
    - debian/oprofile.postinst: Really really make it work this time by
      adding the oprofile:oprofile system user and group as required for
      JIT support (see README_PACKAGERS)
    - Add documentation about vmlinux / linux-image-debug.ddeb.
    - debian/patches/arm-factor-out-armv7-common-architectural-events,
      debian/patches/arm-correct-usage-of-core-technology-for-v7-and-mpcore,
      debian/patches/arm-add-support-for-cortex-a9-events:
      ARMv7 cleanup and Cortex-A9 support, backported from
      http://article.gmane.org/gmane.linux.oprofile/8563.
  * Statically link libbfd.  (LP: #588033)

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 11 Sep 2010 18:21:40 +0200

oprofile (0.9.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch by Yukiharu YABUKI to staticaly link against libbfd
   (Closes: #537744, #573905)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 22 Apr 2010 15:43:12 +0200

oprofile (0.9.6-1ubuntu10) maverick; urgency=low

  * Rebuild against latest binutils.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 25 Aug 2010 16:14:06 +0200

oprofile (0.9.6-1ubuntu9) maverick; urgency=low

  * Rebuild against latest binutils; bump build-dep to dep-wait on sparc.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 17 Jun 2010 23:36:56 +0200

oprofile (0.9.6-1ubuntu8) maverick; urgency=low

  * New patches, ARMv7 cleanup and Cortex-A9 support, backported from
    http://article.gmane.org/gmane.linux.oprofile/8563; LP: #591862.
    - arm-factor-out-armv7-common-architectural-events
    - arm-correct-usage-of-core-technology-for-v7-and-mpcore
    - arm-add-support-for-cortex-a9-events

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 17 Jun 2010 13:10:23 +0200

oprofile (0.9.6-1ubuntu7) maverick; urgency=low

  * Yet another no change rebuild for binutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 19:47:26 +0100

oprofile (0.9.6-1ubuntu6) maverick; urgency=low

  * No change rebuild for binutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 14:39:59 +0100

oprofile (0.9.6-1ubuntu5) maverick; urgency=low

  * Rebuild for binutils from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Apr 2010 23:25:13 +0000

oprofile (0.9.6-1ubuntu4) lucid; urgency=low

  * Rebuild with binutils (>= 2.20.1-3ubuntu2).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2010 03:44:52 +0200



=== debian/control ===
Source: oprofile
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LIU Qi <liuqi82@gmail.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.9.3
Build-Depends:
 automake1.10,
 binutils-dev (>= 2.18~cvs20070812),
 debhelper (>= 7),
 docbook-xml,
 docbook-xsl,
 g++ (>>3.3.1),
 libpopt-dev,
 libqt4-dev,
 libtool,
 libx11-dev,
 pkg-config,
 qt4-dev-tools,
 xsltproc,
 zlib1g-dev
Homepage: http://oprofile.sourceforge.net
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/oprofile.git;a=summary
Vcs-git: git://git.printk.org/liuqi/debian/oprofile.git

Package: oprofile
Architecture: alpha amd64 arm armel arm64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
Conflicts:
 oprofile-modules0.2,
 oprofile-modules0.3,
 oprofile-modules0.4,
 oprofile-modules0.5,
 oprofile-modules0.6,
 oprofile-modules0.7,
 oprofile-modules0.8
Depends:
 adduser,
 debconf | debconf-2.0,
 libopagent1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: oprofile-common
Recommends: binutils
Suggests: oprofile-gui
Description: system-wide profiler for Linux systems
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.
 .
 OProfile leverages the hardware performance counters of the CPU to
 enable profiling of a wide variety of interesting statistics, which
 can also be used for basic time-spent profiling. All code is profiled:
 hardware and software interrupt handlers, kernel modules, the kernel,
 shared libraries, and applications (the only exception being the
 OProfile interrupt handler itself). Note that different architectures
 can use different hardware mechanisms to collect data.
 .
 OProfile is currently in alpha status; however it has proven stable over
 a large number of differing configurations. As always, there is no warranty.

Package: libopagent1
Architecture: alpha amd64 arm armel arm64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: oprofile (<< 0.9.6-1ubuntu1)
Description: system-wide profiler for Linux systems (opagent runtime library)
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.
 .
 This package contains the opagent runtime library.

Package: oprofile-gui
Architecture: alpha amd64 arm armel arm64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
Replaces: oprofile
Depends: debconf | debconf-2.0, oprofile, ${misc:Depends}, ${shlibs:Depends}
Recommends: binutils
Description: system-wide profiler for Linux systems (GUI components)
 This package contains only the GUI components of the oprofile package.
 This allows oprofile to be used on machines that require a much
 smaller footprint, or that do not wish to use an X Windows interface.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: config-stamp 
config-stamp: $(QUILT_STAMPFN)
	cd $(CURDIR) && ACLOCAL=aclocal-1.10 AUTOMAKE=automake-1.10 ./autogen.sh
#	cd $(CURDIR) && autoreconf -vfi
	cd $(CURDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt4 --with-kernel-support --disable-werror --enable-gui=qt4
	touch config-stamp

build-arch: configure build-arch-stamp
build-arch-stamp: 
	# Add here commands to build the package
	cd $(CURDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	rm -f config-stamp build-arch-stamp 
	rm -f build-indep-stamp 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/oprofile.
	cd $(CURDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE) install 

	# Move some files to their proper location
	mv debian/oprofile/usr/bin/oprof_start \
	   debian/oprofile-gui/usr/bin
	cp debian/oprofile/usr/share/man/man1/oprofile.1 \
	   debian/oprofile-gui/usr/share/man/man1/oprof_start.1

	mkdir -p debian/libopagent1/usr/lib
	mv debian/oprofile/usr/lib/oprofile/libopagent.so.* \
	  debian/libopagent1/usr/lib/
	for i in debian/libopagent1/usr/lib/*.so.*; do \
	  b=$$(basename $$i); \
	  ln -sf ../$$b debian/oprofile/usr/lib/oprofile/$$b; \
	done
	ln -sf libopagent.so.1 debian/oprofile/usr/lib/libopagent.so

	# Fixup non-empty-dependency_libs-in-la-file lintian error
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

	#-- clean up some of the mess from
	# an over-exuberant install command
	#rm -f debian/oprofile/usr/share/mangled-name
	dh_link usr/share/man/man1/oprofile.1 usr/share/man/man8/oprofiled.8

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_installdocs
	dh_installexamples 
	dh_installman 
	dh_installchangelogs $(CURDIR)/ChangeLog $(CURDIR)/ChangeLog-2008
	dh_strip 
	dh_link 
	dh_compress 
	dh_compress 
	dh_fixperms 
	dh_makeshlibs
	dh_installdeb 
	dh_shlibdeps 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
